---
title: "1.2.0 - Release Candidate"
linkTitle: "1.2.0-rc"
date: "2019-12-03"
---

This is the 1.2.0-rc release of Agones.

This release includes an upgrade of the supported Kubernetes version from 1.12 to 1.13.

Make sure to check the [Upgrading Guide](https://agones.dev/site/docs/installation/upgrading/#upgrading-kubernetes) for details on how to perform this upgrade safely.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.2.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Update client-go to kubernetes-1.13.12 [\#1189](https://github.com/googleforgames/agones/pull/1189) ([heartrobotninja](https://github.com/heartrobotninja))
- Update the default gRPC and HTTP ports for the sdkserver for the 1.2.0 release [\#1180](https://github.com/googleforgames/agones/pull/1180) ([roberthbailey](https://github.com/roberthbailey))
- Update terraform configs to use Kubernetes 1.13 [\#1179](https://github.com/googleforgames/agones/pull/1179) ([roberthbailey](https://github.com/roberthbailey))
- Update documentation for the 1.2 release to use Kubernetes 1.13. [\#1178](https://github.com/googleforgames/agones/pull/1178) ([roberthbailey](https://github.com/roberthbailey))
- Update minikube and KIND developer tooling to Kubernetes 1.13 [\#1177](https://github.com/googleforgames/agones/pull/1177) ([roberthbailey](https://github.com/roberthbailey))
- Update the prow cluster to use Kubernetes 1.13 [\#1176](https://github.com/googleforgames/agones/pull/1176) ([roberthbailey](https://github.com/roberthbailey))
- Update GKE development tooling to Kubernetes 1.13 [\#1175](https://github.com/googleforgames/agones/pull/1175) ([roberthbailey](https://github.com/roberthbailey))

**Implemented enhancements:**

- Upgrade to Kubernetes 1.13 [\#1044](https://github.com/googleforgames/agones/issues/1044)
- Local SDK Server should update internal GameServer on Ready\(\), Allocate\(\) etc. [\#958](https://github.com/googleforgames/agones/issues/958)
- Error checking of attributes on feature shortcode [\#1205](https://github.com/googleforgames/agones/pull/1205) ([markmandel](https://github.com/markmandel))
- Implement Reserve for Unity [\#1193](https://github.com/googleforgames/agones/pull/1193) ([markmandel](https://github.com/markmandel))
- Add ImagePullSecrets for Allocator and Ping \(helm\) [\#1190](https://github.com/googleforgames/agones/pull/1190) ([aLekSer](https://github.com/aLekSer))
- Implementation of Unity SDK.Connect\(\) [\#1181](https://github.com/googleforgames/agones/pull/1181) ([markmandel](https://github.com/markmandel))
- Implementation of GameServer\(\) for Unity [\#1169](https://github.com/googleforgames/agones/pull/1169) ([markmandel](https://github.com/markmandel))
- Add Spec and Health data to default local sdk GameServer [\#1166](https://github.com/googleforgames/agones/pull/1166) ([markmandel](https://github.com/markmandel))
- Refresh client CA certificate if changed [\#1145](https://github.com/googleforgames/agones/pull/1145) ([pooneh-m](https://github.com/pooneh-m))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.2.0-rc/CHANGELOG.md" >CHANGELOG
</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.2.0-rc](https://gcr.io/agones-images/agones-controller:1.2.0-rc)
- [gcr.io/agones-images/agones-sdk:1.2.0-rc](https://gcr.io/agones-images/agones-sdk:1.2.0-rc)
- [gcr.io/agones-images/agones-ping:1.2.0-rc](https://gcr.io/agones-images/agones-ping:1.2.0-rc)
- [gcr.io/agones-images/agones-allocator:1.2.0-rc](https://gcr.io/agones-images/agones-allocator:1.2.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.11](https://gcr.io/agones-images/cpp-simple-server:0.11)
- [gcr.io/agones-images/nodejs-simple-server:0.2](https://gcr.io/agones-images/nodejs-simple-server:0.2)
- [gcr.io/agones-images/rust-simple-server:0.6](https://gcr.io/agones-images/rust-simple-server:0.6)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/udp-server:0.17](https://gcr.io/agones-images/udp-server:0.17)
- [gcr.io/agones-images/tcp-server:0.3](https://gcr.io/agones-images/tcp-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.7](https://gcr.io/agones-images/xonotic-example:0.7)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.2.0-rc.tgz" >
  <code>helm install agones/agones --version 1.2.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`