---
title: "1.5.0 - C# SDK, Multiple Port Allocations, Agones FAQ"
slug: "1.5.0-csharp-sdk-multiple-port-allocations-agones-faq"
linkTitle: "1.5.0"
date: "2020-04-13"
---

This is the 1.5.0 release of Agones.

This release sees the release of an official C# SDK, as well as our first Alpha feature, being able to allow port
mapping to any container in the backing GameServer Pod.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.5.0" >README</a> for details on features, installation and usage.

**Implemented enhancements:**

- FAQ for Agones [\#1460](https://github.com/googleforgames/agones/pull/1460) ([markmandel](https://github.com/markmandel))
- GameServer remains "STATE:Creating" if not create serviceaccount [\#1370](https://github.com/googleforgames/agones/issues/1370)
- Site: Prioritise search results on agones.dev better [\#1327](https://github.com/googleforgames/agones/issues/1327)
- Create and document rules of thumb for log levels in agones code [\#1223](https://github.com/googleforgames/agones/issues/1223)
- Configurable Log Level for Agones controllers [\#1218](https://github.com/googleforgames/agones/issues/1218)
- Refactor Docker files for gRPC between SDK and allocation [\#1115](https://github.com/googleforgames/agones/issues/1115)
- C\# SDK [\#884](https://github.com/googleforgames/agones/issues/884)
- Feature Gates: EnableAllFeatures [\#1448](https://github.com/googleforgames/agones/pull/1448) ([markmandel](https://github.com/markmandel))
- Local implementation of Set/GetPlayerCapacity [\#1444](https://github.com/googleforgames/agones/pull/1444) ([markmandel](https://github.com/markmandel))
- Alpha GameServer attributes added to SDK [\#1440](https://github.com/googleforgames/agones/pull/1440) ([markmandel](https://github.com/markmandel))
- Added version to stress tests files [\#1433](https://github.com/googleforgames/agones/pull/1433) ([akremsa](https://github.com/akremsa))
- Terraform: Add FeatureGates into helm release [\#1431](https://github.com/googleforgames/agones/pull/1431) ([aLekSer](https://github.com/aLekSer))
- SuperTuxKart Game Server that allows AI connections [\#1424](https://github.com/googleforgames/agones/pull/1424) ([markmandel](https://github.com/markmandel))
- Fix wrong condition check for Memory limit [\#1418](https://github.com/googleforgames/agones/pull/1418) ([aLekSer](https://github.com/aLekSer))
- Applied allocation test [\#1417](https://github.com/googleforgames/agones/pull/1417) ([akremsa](https://github.com/akremsa))
- Add shutdown duration option to Node.js simple  [\#1413](https://github.com/googleforgames/agones/pull/1413) ([steven-supersolid](https://github.com/steven-supersolid))
- Add sidecar memory resources setting [\#1402](https://github.com/googleforgames/agones/pull/1402) ([suecideTech](https://github.com/suecideTech))
- Add ErrorHandling for failed to create pods because of forbidden [\#1400](https://github.com/googleforgames/agones/pull/1400) ([suecideTech](https://github.com/suecideTech))
- Alpha SDK.SetPlayerCapacity & GetPlayerCapacity [\#1399](https://github.com/googleforgames/agones/pull/1399) ([markmandel](https://github.com/markmandel))
- Add feature gate block to Make install [\#1397](https://github.com/googleforgames/agones/pull/1397) ([markmandel](https://github.com/markmandel))
- Allow ports to be added to any container in a GS pod [\#1396](https://github.com/googleforgames/agones/pull/1396) ([benclive](https://github.com/benclive))
- Adding the C\# gRPC SDK [\#1315](https://github.com/googleforgames/agones/pull/1315) ([Reousa](https://github.com/Reousa))

See <a href="https://github.com/googleforgames/agones/blob/release-1.5.0/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.5.0](https://gcr.io/agones-images/agones-controller:1.5.0)
- [gcr.io/agones-images/agones-sdk:1.5.0](https://gcr.io/agones-images/agones-sdk:1.5.0)
- [gcr.io/agones-images/agones-ping:1.5.0](https://gcr.io/agones-images/agones-ping:1.5.0)
- [gcr.io/agones-images/agones-allocator:1.5.0](https://gcr.io/agones-images/agones-allocator:1.5.0)
- [gcr.io/agones-images/cpp-simple-server:0.12](https://gcr.io/agones-images/cpp-simple-server:0.12)
- [gcr.io/agones-images/nodejs-simple-server:0.4](https://gcr.io/agones-images/nodejs-simple-server:0.4)
- [gcr.io/agones-images/rust-simple-server:0.7](https://gcr.io/agones-images/rust-simple-server:0.7)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/udp-server:0.19](https://gcr.io/agones-images/udp-server:0.19)
- [gcr.io/agones-images/tcp-server:0.4](https://gcr.io/agones-images/tcp-server:0.4)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)
- [gcr.io/agones-images/supertuxkart-example:0.2](https://gcr.io/agones-images/supertuxkart-example:0.2)
- [gcr.io/agones-images/crd-client:0.2](https://gcr.io/agones-images/crd-client:0.2)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.5.0.tgz" >
  <code>helm install agones/agones --version 1.5.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
