---
title: "1.9.0 - Kubernetes 1.16, NuGet and TCP+UDP"
linkTitle: "1.9.0"
date: "2020-09-29"
---

This is the 1.9.0 release of Agones.

**Note:** In this release we are upgrading the supported Kubernetes version to 1.16, so please make sure to upgrade your clusters.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.9.0" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Upgrade Kubectl to 1.16.15 [\#1806](https://github.com/googleforgames/agones/pull/1806) ([markmandel](https://github.com/markmandel))
- Upgrade client-go and apimachinery to 0.16.15 [\#1794](https://github.com/googleforgames/agones/pull/1794) ([markmandel](https://github.com/markmandel))
- Update GKE Terraform clusters to 1.16 [\#1772](https://github.com/googleforgames/agones/pull/1772) ([markmandel](https://github.com/markmandel))
- Upgrade to Kubernetes 1.16 [\#1649](https://github.com/googleforgames/agones/issues/1649)

**Implemented enhancements:**

- \[Doc\] add a caveat on setting expiration for cert-manager certificate resources [\#1781](https://github.com/googleforgames/agones/issues/1781)
- Helm chart: allow to specify loadBalancerIP [\#1709](https://github.com/googleforgames/agones/issues/1709)
- Terraform, Helm module install: Allow gameserver namespaces and port ranges to be specified in terraform [\#1692](https://github.com/googleforgames/agones/issues/1692)
- Support using the same port for both TCP/UDP forwarding [\#1523](https://github.com/googleforgames/agones/issues/1523)
- Write Tests for Terraform configs [\#1227](https://github.com/googleforgames/agones/issues/1227)
- Add player tracking and shutdown to the supertuxkart example server [\#1825](https://github.com/googleforgames/agones/pull/1825) ([sudermanjr](https://github.com/sudermanjr))
- Add logging for the client certificate verification [\#1812](https://github.com/googleforgames/agones/pull/1812) ([pooneh-m](https://github.com/pooneh-m))
- Troubleshooting - namespace stuck terminating [\#1795](https://github.com/googleforgames/agones/pull/1795) ([domgreen](https://github.com/domgreen))
- Add load balancer configuration for Helm options [\#1793](https://github.com/googleforgames/agones/pull/1793) ([yoshd](https://github.com/yoshd))
- Added option to hardcode load balancer IP for allocator. [\#1766](https://github.com/googleforgames/agones/pull/1766) ([devloop0](https://github.com/devloop0))
- Add TCPUDP protocol [\#1764](https://github.com/googleforgames/agones/pull/1764) ([Bmandk](https://github.com/Bmandk))
- Publish to NuGet for Csharp SDK [\#1753](https://github.com/googleforgames/agones/pull/1753) ([markmandel](https://github.com/markmandel))
- Add Terraform example for GKE custom VPC deployment [\#1697](https://github.com/googleforgames/agones/pull/1697) ([moesy](https://github.com/moesy))
- Fix Fleets RollingUpdate [\#1626](https://github.com/googleforgames/agones/pull/1626) ([aLekSer](https://github.com/aLekSer))

See <a href="https://github.com/googleforgames/agones/blob/release-1.9.0/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.9.0](https://gcr.io/agones-images/agones-controller:1.9.0)
- [gcr.io/agones-images/agones-sdk:1.9.0](https://gcr.io/agones-images/agones-sdk:1.9.0)
- [gcr.io/agones-images/agones-ping:1.9.0](https://gcr.io/agones-images/agones-ping:1.9.0)
- [gcr.io/agones-images/agones-allocator:1.9.0](https://gcr.io/agones-images/agones-allocator:1.9.0)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.3](https://gcr.io/agones-images/crd-client:0.3)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.8](https://gcr.io/agones-images/rust-simple-server:0.8)
- [gcr.io/agones-images/simple-game-server:0.1](https://gcr.io/agones-images/simple-game-server:0.1)
- [gcr.io/agones-images/supertuxkart-example:0.3](https://gcr.io/agones-images/supertuxkart-example:0.3)
- [gcr.io/agones-images/tcp-server:0.4](https://gcr.io/agones-images/tcp-server:0.4)
- [gcr.io/agones-images/udp-server:0.21](https://gcr.io/agones-images/udp-server:0.21)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.9.0.tgz" >
  <code>helm install agones/agones --version 1.9.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
